﻿// RMR ("aRMouR") Code Generator
// Copyright 2013 Ben Lincoln
// http://www.beneaththewaves.net/
//

// This file is part of RMR Code Generator.

// RMR Code Generator is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// RMR Code Generator is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with RMR Code Generator (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BenLincoln.RMRCodes
{
    public class RMRCodeFile : SVGElement
    {
        protected SentinelUpperLeft _SentinelUL;
        protected SentinelUpperRight _SentinelUR;
        protected SentinelLowerLeft _SentinelLL;
        protected SentinelLowerRight _SentinelLR;
        protected RMRByte[] _RMRBytes;

        public RMRCodeFile()
            : base()
        {
            _EmbeddedResourceFile = "BenLincoln.RMRCodes.Templates.RMR_Code_File.svgfrag";
        }

        public RMRCodeFile(int xPosition, int yPosition)
            : base(xPosition, yPosition)
        {
        }

        protected override void Initialize()
        {
            base.Initialize();
            _EmbeddedResourceFile = "BenLincoln.RMRCodes.Templates.Sentinel-Upper_Left.svgfrag";
        }

        public override string GetSVGCode()
        {
            string result = base.GetSVGCode();

            //StringBuilder elementBuilder = new StringBuilder();

            //elementBuilder.Append(_SentinelUL.GetSVGCode());
            //elementBuilder.Append(_SentinelUR.GetSVGCode());
            //elementBuilder.Append(_SentinelLL.GetSVGCode());
            //elementBuilder.Append(_SentinelLR.GetSVGCode());

            return result;
        }
    }
}
