﻿// RMR ("aRMouR") Code Generator
// Copyright 2013 Ben Lincoln
// http://www.beneaththewaves.net/
//

// This file is part of RMR Code Generator.

// RMR Code Generator is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// RMR Code Generator is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with RMR Code Generator (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BenLincoln.RMRCodes
{
    public class Sentinel : SVGElement
    {
        protected MetadataHorizontal _MetadataH;
        protected MetadataVertical _MetadataV;

        #region Properties

        public MetadataHorizontal MetadataH
        {
            get
            {
                return _MetadataH;
            }
            set
            {
                _MetadataH = value;
            }
        }

        public MetadataVertical MetadataV
        {
            get
            {
                return _MetadataV;
            }
            set
            {
                _MetadataV = value;
            }
        }


        #endregion

        public Sentinel()
            : base()
        {
        }

        public Sentinel(int xPosition, int yPosition)
            : base(xPosition, yPosition)
        {
        }

        protected override void Initialize()
        {
            base.Initialize();
            _Width = 40;
            _Height = 40;
            _MetadataH = new MetadataHorizontal();
            _MetadataV = new MetadataVertical();
        }
    }
}
